Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QSettings.Status

    java.lang.Object
      java.lang.Enum<QSettings.Status>
          com.trolltech.qt.core.QSettings.Status

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSettings.Status>

Enclosing class:
  QSettings

    public static enum QSettings.Status

extends java.lang.Enum<QSettings.Status>
implements QtEnumerator

The following status values are possible.

Constant | Value | Description
--- | --- | ---
`NoError` | `0` | No error occurred.
`AccessError` | `1` | An access error occurred (e.g. trying to write to a read-only file).
`FormatError` | `2` | A format error occurred (e.g. loading a malformed INI file).

See Also:
  `status`

Enum Constant Summary
`AccessError` An access error occurred (e.g. trying to write to a read-only file).
`FormatError` A format error occurred (e.g. loading a malformed INI file).
`NoError` No error occurred.

Method Summary
`static QSettings.Status` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSettings.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSettings.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QSettings.Status NoError

  No error occurred.

### AccessError

    public static final QSettings.Status AccessError

  An access error occurred (e.g. trying to write to a read-only file).

### FormatError

    public static final QSettings.Status FormatError

  A format error occurred (e.g. loading a malformed INI file).

Method Detail

### values

    public static final QSettings.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSettings.Status c : QSettings.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSettings.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSettings.Status resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD